> For the complete documentation index, see [llms.txt](https://docs.quantumbyte.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quantumbyte.ai/home/quantumbyte-v2.0/3.microsites-1/8.ui/4.components/18.listbutton.md).

# List Button

### ListButton Props <a href="#listbutton-props" id="listbutton-props"></a>

| Name                    | Type    | Default                                           | Description                                                                          |
| ----------------------- | ------- | ------------------------------------------------- | ------------------------------------------------------------------------------------ |
| colors                  | object  |                                                   | Object with Tailwind CSS colors classes                                              |
| colors.activeBgIos      | string  | 'active:bg-primary active:bg-opacity-15'          |                                                                                      |
| colors.activeBgMaterial | string  | ''                                                |                                                                                      |
| colors.textIos          | string  | 'text-primary'                                    |                                                                                      |
| colors.textMaterial     | string  | 'text-md-light-primary dark:text-md-dark-primary' |                                                                                      |
| colors.touchRipple      | string  | 'touch-ripple-primary'                            |                                                                                      |
| component               | string  | 'li'                                              | Component's HTML Element                                                             |
| href                    | string  |                                                   | Button's link `href` attribute                                                       |
| linkComponent           | string  | 'a'                                               | Button HTML Element                                                                  |
| linkProps               | any     |                                                   | Object with additional props (attributes) to pass to the Link/Button                 |
| target                  | string  |                                                   | Button's link `target` attribute                                                     |
| touchRipple             | boolean | true                                              | Enables touch ripple effect in Material theme                                        |
| type                    | string  | undefined                                         | Button's `type` attribute (if rendered as `<button>` with `linkComponent: 'button'`) |
| value                   | any     |                                                   | Button's `type` attribute (if rendered as `<button>` with `linkComponent: 'button'`) |

### Examples

{% tabs %}
{% tab title="Vue" %}

```typescript
<template>
  <i-page>
    <i-navbar title="List Button" />

    <i-list>
      <i-list-button>Button 1</i-list-button>
      <i-list-button>Button 2</i-list-button>
      <i-list-button>Button 3</i-list-button>
    </i-list>

    <i-list inset>
      <i-list-button>Button 1</i-list-button>
      <i-list-button>Button 2</i-list-button>
      <i-list-button>Button 3</i-list-button>
    </i-list>
    <i-list inset>
      <i-list-button class="k-color-brand-red"> Red Button </i-list-button>
    </i-list>
  </i-page>
</template>
<script>
  import {
    iPage,
    iNavbar,
    iNavbarBackLink,
    iList,
    iListButton,
  } from 'ina-ui/vue';

  export default {
    components: {
      iPage,
      iNavbar,
      iNavbarBackLink,
      iList,
      iListButton,
    },

  };
</script>
```

{% endtab %}

{% tab title="React" %}

```js
import React from 'react';
import { Page, Navbar, NavbarBackLink, List, ListButton } from 'ina-ui/react';

export default function ListButtonPage() {
  return (
    <Page>
      <Navbar
        title="List Button"
        />

      <List strong outlineIos>
        <ListButton>Button 1</ListButton>
        <ListButton>Button 2</ListButton>
        <ListButton>Button 3</ListButton>
      </List>

      <List inset strong>
        <ListButton>Button 1</ListButton>
        <ListButton>Button 2</ListButton>
        <ListButton>Button 3</ListButton>
      </List>
      <List inset strong>
        <ListButton className="k-color-brand-red">Red Button</ListButton>
      </List>
    </Page>
  );
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quantumbyte.ai/home/quantumbyte-v2.0/3.microsites-1/8.ui/4.components/18.listbutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
